/*------------------------------------------------------------------------------
 lib/djv_image/app.h
 
 Command Line Image Application
 ------------------------------
 
 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_IMAGE_APP_H
#define DJV_IMAGE_APP_H

#include <djv_base/app.h>
#include <djv_image/base.h>

namespace djv {
namespace image {
namespace app
{
using djv::app::EXIT;

//------------------------------------------------------------------------------
// Application

class App : public djv::App
{
public:

  App(const Str & name, int & argc, char ** argv) throw (Error);
  virtual ~App();

  virtual Str help() const;
  virtual Str info() const;
  
private:

  void cmdln() throw (Error);
};

//------------------------------------------------------------------------------
// Global

App * global();

}
}
}

#endif

