/*------------------------------------------------------------------------------
 lib/djv_image/gl_offscreen_fnc.cxx

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "gl_offscreen.h"
#include <djv_base/vec.h>

namespace djv {
namespace image {
namespace gl {
namespace offscreen
{

namespace
{
Vec2i _tile(256);
bool _context_share = false;//true;
}

void tile(const Vec2i & in)
{
  _tile = Vec2i(math::to_pow2(in.x), math::to_pow2(in.y));
}

const Vec2i & tile() { return _tile; }

void context_share(bool in)
{
  _context_share = in;
}

bool context_share() { return _context_share; }

}
}
}
}

