/*------------------------------------------------------------------------------
 lib/djv_image/io_cineon_fnc.cxx
 
 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "io_cineon.h"

namespace djv {
namespace image {
namespace io {
namespace cineon
{

const List<Str> & label_tag()
{
  static const List<Str> data = List<Str>() <<
    "Source Offset" <<
    "Source File" <<
    "Source Time" <<
    "Source Input Device" <<
    "Source Input Model" <<
    "Source Input Serial" <<
    "Source Input Pitch" <<
    "Source Gamma" <<
    "Film Format" <<
    "Film Frame" <<
    "Film Frame Rate" <<
    "Film Frame ID" <<
    "Film Slate";
  return data;
}

const List<Str> & label_load_option()
{
  static const List<Str> data = List<Str>() << "Color" << "Print";
  return data;
}

const List<Str> & label_save_option() 
{
  static const List<Str> data = List<Str>() << "Color" << "Print";
  return data;
}

}
}
}
}

