#include <djv_ui/file_browser.h>
#include <djv_ui/app.h>

namespace
{
using namespace djv;

class App : public ui::App
{
public:

  App(int & argc, char ** argv);

private:

  DJV_CALLBACK(App, widget_callback, const File &) { print(in); }
  DJV_CALLBACK(App, close_callback, bool) { exit(); }
};

App::App(int & argc, char ** argv) :
  ui::App("file_browser", argc, argv)
{
  ui::file_browser::set(this, widget_callback);
  ui::file_browser::dialog()->close_sig.set(this, close_callback);
  valid(true);
}

}

int main(int argc, char ** argv) { return ::App(argc, argv).exec(); }

